# borg tag

    borg [common options] tag [options] [NAME]

positional arguments
| `NAME` | specify the archive name
options
| `--set TAG` | set tags (can be given multiple times)
| `--add TAG` | add tags (can be given multiple times)
| `--remove TAG` | remove tags (can be given multiple times)
Common options
Archive filters — Archive filters can be applied to repository targets.
| `-a PATTERN`, `--match-archives PATTERN` | only consider archives matching all patterns. See “borg help match-archives”.
| `--sort-by KEYS` | Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp
| `--first N` | consider the first N archives after other filters are applied
| `--last N` | consider the last N archives after other filters are applied
| `--oldest TIMESPAN` | consider archives between the oldest archive’s timestamp and (oldest + TIMESPAN), e.g., 7d or 12m.
| `--newest TIMESPAN` | consider archives between the newest archive’s timestamp and (newest - TIMESPAN), e.g., 7d or 12m.
| `--older TIMESPAN` | consider archives older than (now - TIMESPAN), e.g., 7d or 12m.
| `--newer TIMESPAN` | consider archives newer than (now - TIMESPAN), e.g., 7d or 12m.

## Description

Manage archive tags.

Borg archives can have a set of tags which can be used for matching archives.

You can set the tags to a specific set of tags or you can add or remove tags from the current set of tags.

User-defined tags must not start with @ because such tags are considered special and users are only allowed to use known special tags:

`@PROT`: protects archives against archive deletion or pruning.

Pre-existing special tags cannot be removed via `--set`. You can still use `--set`, but you must also give pre-existing special tags (so they won’t be removed).